#
# spec file for package libretro-mame2003
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-mame2003
Version:        0~git20200805
Release:        pm151.1.2
Summary:        MAME 2003 libretro core for arcade emulation
License:        NonFree
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
MAME as it was in 2003, using the libretro API. Suitable for lower-end devices
that would struggle to run current versions of MAME (later versions of MAME are
increasingly accurate, thus can perform worse).

This package is for RetroArch/libretro front-end.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mame2003_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mame2003_libretro.so

%changelog
* Sun Aug  9 2020 i@guoyunhe.me
- Update to version 0~git20200805:
  * Update bootstrap.c
* Sat Jun  6 2020 i@guoyunhe.me
- Update to version 0~git20200518:
  * Update
  * fix cheat input dip switch option
* Sun Feb  9 2020 i@guoyunhe.me
- Update to version 0~git20200112:
  * Remove libretro-common files that are not required
  * Update libretro.h
  * (MSVC) Buildfix
  * (MSVC 2017) Buildfix
  * fix emscripten
  * Fix for speedups on altered beast
  * Format error
  * Some changes on interrupts for Cyclone and DrZ80
  * (VITA) Add Cyclone and DrZ80
  * Cyclone and DrZ80 support
  * Buildfix
  * Comment this out - unused and causes linking errors for statically linked targets
  * Correct way to compare string
* Mon Nov 11 2019 i@guoyunhe.me
- Update to version 0~git20191107:
  * backport 12-bit wrapping behavior fix
* Mon Nov 11 2019 Yunhe Guo <i@guoyunhe.me>
- Change license to NonFree
  * See https://github.com/libretro/mame2010-libretro/issues/137#issuecomment-552253010
* Wed Oct 23 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
